Cordova: Comandos útiles

Crear proyecto con phonegap

Solucionar error: Manifest merger failed

 

Crear proyecto con phonegap

La forma más sencilla de crear un nuevo proyecto:

$ phonegap create myApp

Podemos espeficicar en la creación del proyecto algunas propiedades como:

$ phonegap create myApp –id “org.myapp.sample” –name “appSample”

Solucionar error: Manifest merger failed

En ocasiones nos podemos encontrar con un error al compilar en el minSdk referenciado en los plugins instalados on en el mismo Manifest de Android, con este comando obligaremos a que todo se compile para la SDK mínima seleccionada, el error diría algo como lo que sigue: Manifest merger failed : uses-sdk:minSdkVersion 14 cannot be smaller than version 16 declared in library [:CordovaLib] platforms/android/CordovaLib/build/intermediates/manifests/full/debug/AndroidManifest.xml as the library might be using APIs not available in 14

$ cordova build android — –minSdkVersion=16

Se puede trasladar el mismo comando al run:

$ cordova run android — –minSdkVersion=16

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *